<div class="container-fluid">
    <section class="row" *ngIf="identity; else loggedOut">
      <article class="col-12 pt-2" *ngIf="identity">
        <h4>{{page_title}} {{ identity.name }}</h4>
        <hr>
      </article>
    </section>
    
    <ng-template class="row" #loggedOut>
      <article class="col-12 pt-2">
        <h4> Imarain Sound Design</h4>
        <hr>
      </article>
    </ng-template>
  
    <section class="row">
      <article class="col-md-9">
          <section class="card">
              <p-dataView [value]="allImages" layout="grid" [rows]="9" [sortField]="sortField" [sortOrder]="sortOrder">
                  <ng-template pTemplate="header">Eventos Tec de Monterrey</ng-template>
                  <ng-template let-image pTemplate="gridItem">
                      <div class="card-deck col-12 col-md-4 mb-4" *ngIf="image !== null">
                          <div class="card">
                            <img class="card-img-top" src="{{url + 'card/getCard/'+image.image}}" alt="Card image cap" >
                            <div class="card-body">
                                <div class="row text-center">
                                      <div class="col-12">
                                        <div class="row">
                                          <div class="col-10">
                                            <h6 class="card-title" style="border-bottom: solid 1px #eee;">{{image.nombre_deck}}</h6> 
                                          </div>
                                          <div class="col-2" *ngIf="image.is_blocked !== 1">
                                            <a href="../../../assets/pdf/its_rock_aleluya.pdf" target="_blank">
                                              <i class="fa fa-info-circle" style="cursor: pointer;"></i>
                                            </a>
                                          </div>
                                        </div>
                                        <div class="row">
                                          <div class="col-12">
                                            <strong>${{image.precio}} MXN</strong>
                                          </div>
                                        </div>
                                        <!-- <p class="card-text"><small class="text-muted">Artista {{deck.artista}}</small> <i class="pi pi-facebook" style="font-size: 2rem"></i></p> -->
                                      </div>
                                      <div class="col-12">
                                        <p class="card-text">{{ image.descripcion }}</p>
                                        <button pButton type="button" label="Carrito" icon="pi pi-shopping-cart" iconPos="left" (click)="addToCart(image)" class="w-100">
                                        </button>
                                        
                                      </div>
                                </div>
                            </div>
                          </div>
                      </div>
                  </ng-template>
              </p-dataView>
          </section>
       
      </article>
      
      <article class="col-md-3 box-border">
        <div class="alert alert-info text-center">
          <h4>Carrito</h4>
        </div>
        <hr>
        <ng-container *ngIf="cart !== undefined && cart.length > 0">
          <ul class="list-group">
              <li class="list-group-item" *ngFor="let item of cart; index as i">
                <div class="row">
                  <div class="col-md-10">
                   <strong>{{ item.nombre_deck }},</strong>  {{ item.descripcion }} ${{ item.precio }} MXN
                  </div>
                  <div class="col-md-2" style="cursor: pointer;">
                      <i class="fa fa-trash fa-2x" (click)="deleteFromCart(item.id)"></i>
                  </div>
                </div>
              </li>
              <li class="list-group-item">
                <div class="row">
                  <div class="col-md-8">
                   <strong>Total: </strong>  
                  </div>
                  <div class="col-md-4" style="cursor: pointer;">
                    ${{ total }} MXN
                  </div>
                </div>
              </li>
              <!-- <div class="row justify-content-center" *ngIf="item !== null ">
                <button type="button" class="btn btn-success" data-dismiss="alert" style="color: white;" (click)="deleteFromCart(item.id)">Quitar del carrito</button>
              </div> -->
              <hr>
          </ul>
          <article *ngIf="identity">
            <button type="button" class="btn btn-link" (click)="showModalCode()">¿Tienes un código? Canjéalo aquí.</button>
            <ngx-paypal [config]="payPalConfig"></ngx-paypal>
          </article>
          <article *ngIf="!identity">
            <app-register-template></app-register-template>
          </article>
        </ng-container>
      </article>
     
      <!-- <section class="row">
          <div class="col-md-6">
              <form #redeemCodeForm="ngForm" (ngSubmit)="submitCode(redeemCodeForm)">
                  <div class="form-group">
                      <label for="code_redeem">Canjea tu código</label>
                      <input type="text" name="code_redeem" #code='ngModel' [(ngModel)]="obj.codigo"  class="form-control" placeholder="Eg: 123-XHJK-321-AAA">
                      <h2>{{ obj.codigo }}</h2>
                  </div>
                  <div class="form-group">
                      <button type="submit" class="btn btn-success pull-right">
                          Canjear
                      </button>
                  </div>
              </form>
          </div>  
      </section> -->
    </section>
  </div>
  <ngx-spinner></ngx-spinner>
  <!-- Modal -->
  <p-dialog header="IMARAIN:" modal="true" [(visible)]="display" class="text-center">
    <p>Tu compra fue exitosa, una vez que tus compañeros completen el número meta se te enviará un enlace para descargar tu video.</p>
  </p-dialog>
  
  <p-dialog header="IMARAIN:" modal="true" [(visible)]="messageFromCart" class="text-center">
    <p>{{ msg }}</p>
  </p-dialog>
  
  <p-dialog header="IMARAIN:" modal="true" [(visible)]="modalCode"  position="right"  [style]="{width: '50vw'}">
      <form #redeemCodeForm="ngForm" (ngSubmit)="submitCode(redeemCodeForm)">
        <div class="form-group" *ngIf="!showLinkToMisCompras">
          <p>Al canjear el código no será necesario hacer la compra a través de paypal. Automáticamente podrás descargar el deck desde el menú de mis compras</p>
        </div>
        <div class="form-group" *ngIf="showLinkToMisCompras">
          <div class="alert alert-success">
            <p>El código fue canjeado con éxito, por favor ve a la sección de mis compras para que puedas descargar tus sonidos.
              Ir a <strong><a [routerLink]="['/mis-compras']" class="btn btn-link">Mis compras</a></strong>
            </p>
          </div>
          
        </div>
        <div class="form-group">
            <label for="code_redeem"> <strong>CANJEA TU CÓDIGO</strong> </label>
            <input type="text" name="code_redeem" #code='ngModel' [(ngModel)]="obj.codigo"  class="form-control" placeholder="Eg: 123-XHJK-321-AAA">
            <div class="invalid-feedback d-block">
              {{ msg }}
            </div>
        </div>
          <div class="form-group">
              <button type="submit" class="btn btn-success pull-right">
                  Canjear
              </button>
          </div>
      </form>
  </p-dialog>
  
  <!-- Modal para imagen info -->
   <!-- Modal -->
   <p-dialog header="IMARAIN:" modal="true" dismissableMask="true" [(visible)]="displayInfo">
    <div class="row justify-content-center">
      <div class="col-12 col-md-5">
        <img src="{{'../../../assets/images/'+credit_image}}" alt="imagen créditos" class="img-fluid">
      </div>
    </div>
    <hr>
  </p-dialog>
